module PersonalActivity
  class Engine < ::Rails::Engine
   initializer "personal_activity" do
		OrbitApp.registration "PersonalActivity",:type=> 'ModuleApp' do
			module_label 'module_name.activities'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Activity", :intro_app_name=>"ActivityIntro",:path=>"/plugin/personal_activity/profile",:front_path=>"/profile",:admin_path=>"/admin/activities/",:i18n=>'module_name.activities', :module_app_name=>'Activity', :one_line_title => false, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/activities/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
